C	fn_random.for
C	a self-initializing FORTRAN interface for DATATRIEVE to the
C	VAX random number generator
C
C	Joe H. Gallagher, 4GL Solutions, Overlang Park KS.
C
C	Refer to the Combined Newsletters September 1988 Page DTR-11
C
	real*4 function fn_random()
	real*4 mth$random
	integer*4 quad(2), seed
	equivalence (quad, seed)
	if (seed .eq. 0) then
		call sys$gettim(quad)
	endif
	fn_random = mth$random(seed)
	return
	end
